# Installation

Linus Torvalds, after finding one of his file systems smashed by a new Beta kernel

Les plantages de fsck ont tendance à me rendre nerveux.

Ne vous inquiétez pas ! Bien que l'utilisation de logiciels en version Bêta puisse causer des désagréments considérables, il est très peu probable que l'installation de KDE détruise votre disque dur. En fait, ce chapitre est destiné à vous guider tout au long du processus d'installation de telle sorte que vous puissiez regarder votre nouveau bureau aussi vite que possible (et avec le moins de désagréments possible). Comme pour toutes les installations de nouveaux gestionnaires de fenêtres, il est recommandé de sauvegarder tous vos fichiers de configuration spécifiques à X11 avant de commencer l'installation. Si vous n'en connaissez pas l'emplacement exact, essayez tous les fichiers cachés (`.*`) de votre répertoire personnel et le répertoire `/usr/X11/lib/X11/xdm`.

## Configuration nécessaire

Avant d'installer KDE, assurez-vous que votre système satisfait aux conditions suivantes :

- Un système POSIX compatible UNIX en état de marche. Les systèmes UNIX connus pour fonctionner avec KDE comprennent : Linux, FreeBSD, Solaris, HP-UX et MkLinux. Nous travaillons à rendre KDE bientôt disponible pour plus de plates-formes.

- De l'espace disponible sur votre disque dur sur la partition où `/opt/kde` sera créé. Nous vous recommandons de réserver environ 50MB si votre système supporte les bibliothèques partagées et beaucoup plus sinon. Si vous devez ou si vous voulez installer KDE depuis l'arborescence source, veuillez vous rappeler de réserver environ 100MB dans `/usr/src`.

- Un système X11 en fonctionnement avec ou sans xdm. Si vous n'avez pas déjà installé le système X, vérifiez d'abord si votre support d'installation UNIX ne contient pas une version installable. Si vous n'en trouvez pas, visitez le site web XFree86 pour plus d'information sur comment obtenir et installer le système X Window ou contactez le service d'aide aux utilisateurs de votre revendeur UNIX.

- Les bibliothèques qt, version 3.0.2. Vous pouvez les obtenir au serveur FTP Troll Tech au format tgz.

Un avertissement avant que vous ne commenciez : avant de mettre à jour une version précédente de KDE, nous vous recommandons de lancer les commandes suivantes :

    cd /opt/kde
    tar cfvz ~/KDE-old-version-backup.tar.gz *

## Linux : installer des RPMs pour RedHat, Caldera et SuSE.

Utiliser des RPMs est la méthode la plus facile pour faire fonctionner KDE. Visitez simplement votre miroir KDE favori et le répertoire `/pub/kde/stable/distribution/rpm`. Vous y trouverez les répertoires relatifs à différents systèmes d'exploitation. Actuellement, les architectures i386, alpha et sparc sont reconnues. Vous pouvez aussi trouver les paquetages rpm sur les sites qui contribuent à Red Hat comme sunsite.unc.edu ou ftp.redhat.com.

Le système de base comprend les fichiers `kde-composant.architecture.rpm` Vous avez au minimum besoin de kdesupport, kdelibs et kdebase. Après avoir récupéré la distribution de base, n'hésitez pas à télécharger tout autre rpm dont vous pourriez avoir besoin.

Puis commencez l'installation avec le paquetage base. Si vous installez KDE pour la première fois, utilisez

    rpm -i kdesupport.arch.rpm
    rpm -i kdelibs.arch.rpm
    rpm -i kdebase.arch.rpm

Il est important que ces composants soient installés dans l'ordre indiqué et qu'ils soient installés avant tout autre composant KDE.

Si vous mettez à jour une version précédente, faites

    rpm -Uvh kde-component.arch.rpm

Là encore, l'ordre donné ci-dessus doit être respecté et ces composants doivent être installés avant tout autre composant KDE.

Ceci va décompacter la distribution de base et l'installer dans `/opt/kde`.

Si l'installation des paquetages de base a été réussie, vous pouvez installer les autres composants de façon similaire (utilisez `-Uvh` au lieu de `-i` pour mettre à jour une version existante).

## Linux : installer des paquetages DEBs pour Debian

L'installation pour un système Debian est aussi plutôt directe. Vous trouverez seulement des paquetages KDE 2.0 pour Debian 2.2 (Potato) et 3.0 (Woody). Nous décrivons ici comment installer les paquetages pour Debian 2.2, la version stable, car Debian 3.0 est encore en développement. Cependant l'installation pour les deux versions est pratiquement identique. La différence principale est que KDE est officiellement inclus dans Debian 3.0 et vous n'avez donc pas besoin d'indiquer un endroit spécifique pour trouver les paquetages deb pour KDE.

La première étape est de dire à votre système où il peut trouver les paquetages deb pour KDE. Une liste des lieux avec les paquetages Debian se trouve sur votre disque dur dans `/etc/apt/sources.list`. Vous devez ajouter à ce fichier la ligne suivante : `http://kde.tdyc.com/ stable kde2`

Puis vous devez mettre à jour la base de données locale de vos paquetages afin que le système sache que de nouveaux paquetages sont disponibles. Tapez les commandes suivantes :

    apt-get update

Enfin, installez les composants de base de KDE en saisissant :

    apt-get install kdebase

Si vous souhaitez installer d'autres composants, essayez certaines ou la totalité de ces options :

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

Vous voudrez peut-être aussi installer la traduction dans votre langue.

    apt-get install
    kde-i18n-xx

où xx doit être remplacé par le code de votre pays.

Les fichiers de configuration de certaines applications KDE seront placées dans `/etc/kde2`, les exécutables iront dans `/usr/bin` et la plupart des fichiers auxiliaire ira dans `/usr/share` dans différents dossiers.

Si vous mettez à jour une version précédente de KDE, réalisez les étapes suivantes. Tout d'abord, mettez à jour le fichier `/etc/apt/sources.list` en changeant la ligne avec l'emplacement des paquetages de KDE par la ligne : `http://kde.tdyc.com/ stable kde2`. Ensuite, mettez à jour votre base de donnée de paquetages :

    apt-get update

Enfin, installez le système de base de KDE :

    apt-get install kdebase
    apt-get dist-upgrade

Si vous souhaitez installer d'autres composants, essayez certaines ou la totalité de ces options :

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

## Compiler les sources pour une installation optimale sur d'autres systèmes

Si votre distribution ne fournit pas d'archives RMP ou DEB, ou si vous n'utilisez pas Linux du tout, vous devez compiler sous-même KDE. À l'avenir, nous pensons fournir une distribution de binaires qui contient son propre système d'installation.

De façon à compiler et installer KDE proprement, les éléments suivants doivent être installés sur votre système :

- Un compilateur ANSI-C, par exemple le compilateur C GNU.

- Un compilateur ANSI-C++, par exemple GNU C++.

- L'utilitaire make.

- La version 2.2 de développement de Qt ou plus haut.

- La version de développement de X11 (les fichiers en-tête manquent souvent).

Une fois que toutes les applications annexes sont disponibles, allez sur votre site miroir KDE préféré et récupérez les fichiers suivants dans le répertoire `/pub/kde/stable/(dernière version)` :

- `kdesupport-version.tar.gz`

- `kdelibs-version.tar.gz`

- `kdebase-version.tar.gz`

- tout autre paquetage que vous souhaitez installer. Nous vous conseillons de prendre au moins kdeutils.

Dans tous les cas, version remplace le numéro de la version courante. Une fois que vous avez téléchargé tout ce dont vous avez besoin, décompactez ces fichiers dans `/usr/src`. Ce processus doit conduire à l'arborescence de répertoires suivante :

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (tout autre paquetage)

Assurez-vous d'avoir les droits en écriture dans `/opt/kde`.

Ensuite, vous devez compiler et installer les paquetages en utilisant les commandes suivantes :

1. `cd` dans le répertoire du paquetage que vous voulez installer (voir ci-dessus)

2. `./configure` (avec les options que vous désirez appliquer)

3. `make`

4. `make install`

Appliquez les étapes ci-dessus à chaque paquetage que vous désirez installer.

Ces instructions peuvent être utilisées pour n'importe quel paquetage de fichiers sources existant, pas uniquement les paquetages KDE.

Chaque script de configuration offre plusieurs options. Certaines sont communes à tous les paquetages tandis que d'autres sont spécifiques à un paquetage individuel. Ce qui suit est le résultat de la commande `configure `--help`` dans kdelibs :

      --disable-fast-perl     disable fast Makefile generation (needs perl)
      --enable-debug          creates debugging code [default=no]
      --enable-strict         compiles with strict compiler options (may not work!)
      --enable-profile        creates profiling infos [default=no]
      --enable-final          build size optimized apps (experimental - needs lots of memory)
      --disable-closure       don't delay template instantiation
      --enable-shared[=PKGS]  build shared libraries [default=yes]
      --enable-static[=PKGS]  build static libraries [default=no]
      --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
      --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
      --disable-libtool-lock  avoid locking (might break parallel builds)
      --with-pic              try to use only PIC/non-PIC objects [default=use both]
      --with-extra-includes=DIR
                              adds non standard include paths
      --with-extra-libs=DIR   adds non standard library paths
      --with-qt-dir=DIR       where the root of Qt is installed
      --with-qt-includes=DIR  where the Qt includes are.
      --with-qt-libraries=DIR where the Qt library is installed.
      --disable-rpath         do not use the rpath feature of ld
      --disable-path-check    don't try to find out, where to install
      --with-xdmdir           If the xdm config dir can't be found automaticly
      --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
      --with-shadow           If you want shadow password support
      --with-krb4[=PATH]      Compile in Kerberos v4 support.
      --with-afs              Compile in AFS support (requires KTH krb4).
      --with-ldap[=PATH]      Compile in LDAP support.
      --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
      --without-gl            disable 3D GL modes
      --without-xpm           disable color pixmap XPM tests
      --without-dpms          disable DPMS power saving
      --with-x                use the X Window System
      --with-motif-includes=DIR    Motif include files are in DIR
      --with-motif-libraries=DIR   Motif libraries are in DIR

Plusieurs options ne sont pas nécessaires et sont seulement utiles pour solutionner certains problèmes connus (par exemple `--disable-FEATURE`). Comme certaines sont des options importantes, par exemple --with-shadow, vous devez toujours vérifier les options disponibles.

Une option importante est `--prefix`. Cette option spécifie le chemin où configure devrait installer les fichiers (pour kdesupport et kdelibs) ou bien où il devrait chercher les bibliothèques (pour les autres paquetages). Par défaut, configure va regarder dans `/opt/kde`. Si vous voulez installer KDE dans `/usr/local/kde`, vous devrez utiliser `configure `--prefix /usr/local/kde``.

Si vous avez installé les bibliothèques dans un endroit inhabituel, par exemple dans `$HOME/src/qt`, vous devez utiliser `configure `--with-qt-dir=$HOME/src/qt``. Par défaut, configure cherche QT dans les endroits les plus habituels avant d'abandonner.

Si vous avez des problèmes que vous ne réussissez pas à résoudre, envoyez une copie du fichier `config.log` à l'adresse se trouvant dans le fichier `README` dans le paquetage incriminé.

Vous devez installer KDE dans l'ordre suivant : kdesupport, kdelibs, puis les paquetages d'applications (par exemple kdebase). Tous les paquetages d'applications ne dépendent en principe que de kdelibs, donc vous pouvez les compiler simultanément (si vous avez une machine puissante).

Si vous voulez profiter de systèmes multiprocesseurs, essayez `make `-j nombre de processeurs`` à la place de `make`.

### Notes de construction spécifiques à chaque plate-forme.

#### Linux

Pour Linux, la plupart des utilitaires nécessaire à l'installation de KDE peuvent être trouvées soit à ftp://sunsite.unc.edu/pub/Linux/GCC ou à ftp://sunsite.unc.edu/pub/GNU. Les bibliothèques Qt peuvent être trouvées à ftp://ftp.troll.no/pub/qt/source, disponibles en formats source ou RPM pour Linux. Les deux contiennent des instructions détaillées pour leur installation. Les fichiers en-tête pour les programmes X11 devraient être disponibles à ftp://ftp.xfree86.org dans la section xdevel.

## Changements nécessaires à vos fichiers de configuration

Après avoir placé les exécutables KDE dans leur répertoire de destination, il est nécessaire d'effectuer quelques modifications dans vos scripts de démarrage.

La procédure suivante a été testée sur SuSE Linux 5.0, et devrait aussi être compatible avec les autres UNIX populaires. Faites toujours des sauvegardes de vos fichiers de configuration avant de les modifier ! Ajoutez les lignes suivantes à la fin de votre /etc/profile :

    export PATH=$PATH:/opt/kde/bin
    export KDEDIR=/opt/kde

Puis éditez le fichier .xinitrc dans votre répertoire personnel. Cherchez la ligne qui appelle votre gestionnaire de fenêtres et remplacez-la par `startkde`.

Maintenant que tout ce qui est nécessaire à KDE a été installé, vous pouvez aller au chapitre 4 où vous démarrerez KDE pour la première fois. Si quelque chose ne va pas, vous devrez compiler KDE vous-même. Lisez Utiliser les sources pour installer sur d'autres systèmes pour plus d'information.

Nous avons fait passer autant que possible l'installation à l'épreuve des balles, vous ne devriez donc pas rencontrer de problème sérieux sauf si vous avez une configuration exotique. Si vous rencontrez des difficultés, n'hésitez pas à utiliser les listes de diffusion KDE .